Bug 181770 - Slab corruption during kernel rpm build
Slab corruption during kernel rpm build
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
ia64 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks: fedora-ia64
  Show dependency treegraph
 
Reported: 2006-02-16 08:41 EST by Prarit Bhargava
Modified: 2015-01-04 17:25 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-05 09:01:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Prarit Bhargava 2006-02-16 08:41:46 EST
Description of problem: 
 
Took a slab corruption panic while doing a kernel build. 
 
Version-Release number of selected component (if applicable): 
 
 
How reproducible: First time I've seen this... 
 
 
Steps to Reproduce: 
1. rpmbuild --rebuild kernel*.src.rpm 
 
   
Actual results: 
 
System panic with 
 
[root@altix2 ~]# slab: Internal list corruption detected in cache 
'dm_io'(240), slabp e00002b056530000(160). Hexdump: 
 
000: 00 80 bf 44 b0 02 00 e0 f8 b4 9c 78 b0 02 00 e0 
010: f0 03 00 00 00 00 00 00 f0 03 53 56 b0 02 00 e0 
020: f0 00 00 00 ff ff ff ff 05 00 00 00 00 00 00 00 
030: fe ff ff ff fe ff ff ff fe ff ff ff fe ff ff ff 
040: fe ff ff ff fe ff ff ff fe ff ff ff fe ff ff ff 
050: 09 00 00 00 2a 00 00 00 bb 00 00 00 0a 00 00 00 
060: 0b 00 00 00 0c 00 00 00 2e 00 00 00 5d 00 00 00 
070: fe ff ff ff 05 00 00 00 11 00 00 00 14 00 00 00 
080: 15 00 00 00 21 00 00 00 17 00 00 00 4e 00 00 00 
090: 28 00 00 00 62 00 00 00 e9 00 00 00 86 00 00 00 
0a0: cc 00 00 00 61 00 00 00 1d 00 00 00 00 00 00 00 
0b0: 6f 00 00 00 d6 00 00 00 23 00 00 00 6a 00 00 00 
0c0: 25 00 00 00 26 00 00 00 27 00 00 00 5f 00 00 00 
0d0: 29 00 00 00 63 00 00 00 2b 00 00 00 ce 00 00 00 
0e0: be 00 00 00 50 00 00 00 39 00 00 00 fe ff ff ff 
0f0: cf 00 00 00 30 00 00 00 31 00 00 00 0d 00 00 00 
100: ee 00 00 00 34 00 00 00 35 00 00 00 81 00 00 00 
110: c8 00 00 00 a0 00 00 00 19 00 00 00 3a 00 00 00 
120: db 00 00 00 3e 00 00 00 3f 00 00 00 20 00 00 00 
130: 37 00 00 00 42 00 00 00 40 00 00 00 fe ff ff ff 
140: fe ff ff ff 92 00 00 00 fe ff ff ff fe ff ff ff 
150: fe ff ff ff fe ff ff ff d9 00 00 00 16 00 00 00 
160: 9f 00 00 00 4c 00 00 00 4f 00 00 00 1a 00 00 00 
170: 9b 00 00 00 3d 00 00 00 51 00 00 00 fe ff ff ff 
180: fe ff ff ff fe ff ff ff fe ff ff ff fe ff ff ff 
190: 94 00 00 00 18 00 00 00 59 00 00 00 6e 00 00 00 
1a0: b6 00 00 00 5c 00 00 00 65 00 00 00 5e 00 00 00 
1b0: ea 00 00 00 60 00 00 00 ff ff ff ff 45 00 00 00 
1c0: 06 00 00 00 78 00 00 00 fe ff ff ff fe ff ff ff 
1d0: fe ff ff ff fe ff ff ff 0f 00 00 00 e8 00 00 00 
1e0: 6b 00 00 00 6c 00 00 00 12 00 00 00 e3 00 00 00 
1f0: fe ff ff ff fe ff ff ff fe ff ff ff fe ff ff ff 
200: d8 00 00 00 fe ff ff ff 32 00 00 00 3b 00 00 00 
210: e2 00 00 00 7a 00 00 00 7b 00 00 00 b7 00 00 00 
220: 1b 00 00 00 a1 00 00 00 7d 00 00 00 5a 00 00 00 
230: 7e 00 00 00 82 00 00 00 8b 00 00 00 fe ff ff ff 
240: 5b 00 00 00 fe ff ff ff 1e 00 00 00 fe ff ff ff 
250: fe ff ff ff fe ff ff ff fe ff ff ff 8c 00 00 00 
260: 8d 00 00 00 6d 00 00 00 41 00 00 00 fe ff ff ff 
270: af 00 00 00 90 00 00 00 93 00 00 00 74 00 00 00 
280: 52 00 00 00 79 00 00 00 a5 00 00 00 96 00 00 00 
290: 97 00 00 00 98 00 00 00 99 00 00 00 91 00 00 00 
2a0: fe ff ff ff dc 00 00 00 9d 00 00 00 9e 00 00 00 
2b0: a6 00 00 00 b3 00 00 00 fe ff ff ff 2c 00 00 00 
2c0: a3 00 00 00 a4 00 00 00 08 00 00 00 fe ff ff ff 
2d0: ca 00 00 00 fe ff ff ff fe ff ff ff fe ff ff ff 
2e0: fe ff ff ff a8 00 00 00 ad 00 00 00 ae 00 00 00 
2f0: fe ff ff ff 3c 00 00 00 fe ff ff ff ed 00 00 00 
300: b5 00 00 00 95 00 00 00 7f 00 00 00 4a 00 00 00 
310: b1 00 00 00 b8 00 00 00 22 00 00 00 bc 00 00 00 
320: bd 00 00 00 2d 00 00 00 bf 00 00 00 38 00 00 00 
330: 58 00 00 00 c0 00 00 00 c1 00 00 00 c2 00 00 00 
340: 1f 00 00 00 fe ff ff ff 76 00 00 00 fe ff ff ff 
350: 36 00 00 00 fe ff ff ff c6 00 00 00 84 00 00 00 
360: cb 00 00 00 fe ff ff ff ec 00 00 00 24 00 00 00 
370: d1 00 00 00 d2 00 00 00 d3 00 00 00 d4 00 00 00 
380: d5 00 00 00 4b 00 00 00 4d 00 00 00 b9 00 00 00 
390: d7 00 00 00 da 00 00 00 1c 00 00 00 7c 00 00 00 
3a0: dd 00 00 00 9a 00 00 00 fe ff ff ff 13 00 00 00 
3b0: c3 00 00 00 e0 00 00 00 e1 00 00 00 e4 00 00 00 
3c0: e5 00 00 00 e6 00 00 00 
kernel BUG at mm/slab.c:2544! 
events/0[50]: bugcheck! 0 [1] 
Modules linked in: prarit(U) ipv6 ppdev autofs4 rfcomm l2cap bluetooth sunrpc 
ip_conntrack_netbios_ns ipt_REJECT xt_state ip_conntrack nfnetlink xt_tcpudp 
iptable_filter ip_tables x_tables vfat fat button lp parport_pc parport sg tg3 
dm_snapshot dm_zero dm_mirror dm_mod ext3 jbd mptspi mptfc scsi_transport_fc 
mptscsih mptbase sata_vsc libata sd_mod scsi_mod 
 
Pid: 50, CPU 0, comm:             events/0 
psr : 0000101008022038 ifs : 800000000000038c ip  : [<a00000010011d420>]    
Tainted: P      
ip is at check_slabp+0x1e0/0x220 
unat: 0000000000000000 pfs : 000000000000038c rsc : 0000000000000003 
rnat: 0000000000000000 bsps: 0000000000000000 pr  : 0000000000006641 
ldrs: 0000000000000000 ccv : 0000000000000000 fpsr: 0009804c8a70433f 
csd : 0000000000000000 ssd : 0000000000000000 
b0  : a00000010011d420 b6  : e0000030023e5510 b7  : a00000010038ab40 
f6  : 000000000000000000000 f7  : 1003e20c49ba5e353f7cf 
f8  : 1003e00000000000000c8 f9  : 10006c7fffffffd73ea5c 
f10 : 0fffcccccccccc8c00000 f11 : 1003e0000000000000000 
r1  : a000000100a87620 r2  : a00000010089ded8 r3  : e00002b003e10fd4 
r8  : 0000000000000021 r9  : a00000010088a6d8 r10 : a00000010089df08 
r11 : a00000010089df08 r12 : e00002b003e17d50 r13 : e00002b003e10000 
r14 : a00000010089ded8 r15 : 0000000000000000 r16 : ffffffffdead4ead 
r17 : a000000100806678 r18 : a000000100791aac r19 : 0000000000000000 
r20 : a00000010088a510 r21 : a000000100888268 r22 : a00000010089e210 
r23 : a000000100752980 r24 : a000000100888268 r25 : a00000010089dee0 
r26 : a00000010089dee0 r27 : 0000000000000034 r28 : a000000100791ab0 
r29 : 0000000000000000 r30 : a000000100791ab8 r31 : e00002b003e10fd4 
 
Call Trace: 
 [<a000000100013f80>] show_stack+0x40/0xa0 
                                sp=e00002b003e178e0 bsp=e00002b003e112c0 
 [<a000000100014880>] show_regs+0x840/0x880 
                                sp=e00002b003e17ab0 bsp=e00002b003e11268 
 [<a000000100037dc0>] die+0x1c0/0x2c0 
                                sp=e00002b003e17ab0 bsp=e00002b003e11220 
 [<a000000100037f10>] die_if_kernel+0x50/0x80 
                                sp=e00002b003e17ad0 bsp=e00002b003e111e8 
 [<a0000001005c93a0>] ia64_bad_break+0x260/0x4a0 
                                sp=e00002b003e17ad0 bsp=e00002b003e111c0 
 [<a00000010000c5e0>] ia64_leave_kernel+0x0/0x280 
                                sp=e00002b003e17b80 bsp=e00002b003e111c0 
 [<a00000010011d420>] check_slabp+0x1e0/0x220 
                                sp=e00002b003e17d50 bsp=e00002b003e11160 
 [<a000000100126600>] cache_reap+0x3a0/0x980 
                                sp=e00002b003e17d50 bsp=e00002b003e11110 
 [<a00000010009be80>] run_workqueue+0x1c0/0x280 
                                sp=e00002b003e17d50 bsp=e00002b003e110d0 
 [<a00000010009d330>] worker_thread+0x1d0/0x260 
                                sp=e00002b003e17d50 bsp=e00002b003e110a0 
 [<a0000001000a6050>] kthread+0x230/0x2a0 
                                sp=e00002b003e17dd0 bsp=e00002b003e11058 
 [<a0000001000123b0>] kernel_thread_helper+0x30/0x60 
                                sp=e00002b003e17e30 bsp=e00002b003e11030 
 [<a0000001000090a0>] start_kernel_thread+0x20/0x40 
                                sp=e00002b003e17e30 bsp=e00002b003e11030 
 BUG: events/0/50, lock held at task exit time! 
 [a000000100867f40] {cache_chain_mutex} 
.. held by:          events/0:   50 [e00002b003e10000, 110] 
... acquired at:               cache_reap+0x20/0x980 
BUG: spinlock lockup on CPU#10, pdflush/182, e00000307b876ce0 (Tainted: 
P     ) 
 
Call Trace: 
 [<a000000100013f80>] show_stack+0x40/0xa0 
                                sp=e00002b003ff7940 bsp=e00002b003ff1658 
 [<a000000100014010>] dump_stack+0x30/0x60 
                                sp=e00002b003ff7b10 bsp=e00002b003ff1640 
 [<a00000010027cad0>] _raw_spin_lock+0x210/0x280 
                                sp=e00002b003ff7b10 bsp=e00002b003ff1608 
 [<a0000001005c7920>] _spin_lock+0x20/0x40 
                                sp=e00002b003ff7b10 bsp=e00002b003ff15e0 
 [<a000000100120ee0>] __cache_alloc_node+0x80/0x420 
                                sp=e00002b003ff7b10 bsp=e00002b003ff1598 
 [<a000000100120210>] kmem_cache_alloc+0x110/0x280 
                                sp=e00002b003ff7b10 bsp=e00002b003ff1568 
 [<a0000001000d9230>] mempool_alloc_slab+0x30/0x60 
                                sp=e00002b003ff7b10 bsp=e00002b003ff1540 
 [<a0000001000d95e0>] mempool_alloc+0xa0/0x240 
                                sp=e00002b003ff7b10 bsp=e00002b003ff14f8 
 [<a00000020605f080>] __split_bio+0xa0/0x600 [dm_mod] 
                                sp=e00002b003ff7b40 bsp=e00002b003ff1470 
 [<a00000020605fea0>] dm_request+0x4c0/0x560 [dm_mod] 
                                sp=e00002b003ff7b40 bsp=e00002b003ff1440 
 [<a00000010024f3e0>] generic_make_request+0x400/0x440 
                                sp=e00002b003ff7b40 bsp=e00002b003ff1408 
 [<a00000010024f600>] submit_bio+0x1e0/0x200 
                                sp=e00002b003ff7b60 bsp=e00002b003ff13b8 
 [<a0000001001308b0>] submit_bh+0x330/0x380 
                                sp=e00002b003ff7b80 bsp=e00002b003ff1388 
 [<a000000100134b60>] __block_write_full_page+0x5a0/0x8e0 
                                sp=e00002b003ff7b80 bsp=e00002b003ff1328 
 [<a0000001001350d0>] block_write_full_page+0x190/0x1c0 
                                sp=e00002b003ff7b80 bsp=e00002b003ff12f0 
 [<a000000100140770>] blkdev_writepage+0x30/0x60 
                                sp=e00002b003ff7b80 bsp=e00002b003ff12c8 
 [<a000000100186770>] mpage_writepages+0x3f0/0x820 
                                sp=e00002b003ff7b80 bsp=e00002b003ff1248 
 [<a0000001001406b0>] generic_writepages+0x30/0x60 
                                sp=e00002b003ff7c20 bsp=e00002b003ff1220 
 [<a0000001000e1890>] do_writepages+0xb0/0x120 
                                sp=e00002b003ff7c20 bsp=e00002b003ff11f0 
 [<a000000100182de0>] __writeback_single_inode+0x440/0x880 
                                sp=e00002b003ff7c20 bsp=e00002b003ff1190 
 [<a000000100183b50>] sync_sb_inodes+0x4b0/0x6e0 
                                sp=e00002b003ff7ca0 bsp=e00002b003ff1138 
 [<a0000001001847d0>] writeback_inodes+0x1b0/0x300 
                                sp=e00002b003ff7ca0 bsp=e00002b003ff1108 
 [<a0000001000e1dc0>] wb_kupdate+0x2a0/0x3c0 
                                sp=e00002b003ff7ca0 bsp=e00002b003ff10d0 
 [<a0000001000e3880>] pdflush+0x3a0/0x5e0 
                                sp=e00002b003ff7d50 bsp=e00002b003ff10a0 
 [<a0000001000a6050>] kthread+0x230/0x2a0 
                                sp=e00002b003ff7dd0 bsp=e00002b003ff1058 
 [<a0000001000123b0>] kernel_thread_helper+0x30/0x60 
                                sp=e00002b003ff7e30 bsp=e00002b003ff1030 
 [<a0000001000090a0>] start_kernel_thread+0x20/0x40 
                                sp=e00002b003ff7e30 bsp=e00002b003ff1030 
 
 
 
Expected results: 
 
No panic. 
 
Additional info: Haven't pursued this any further.
Comment 1 Dave Jones 2006-02-18 22:12:30 EST
prarit(U)

what's this?
Comment 2 Prarit Bhargava 2006-02-19 10:06:23 EST
Dave, 
 
I noticed this while running an fc5 devel kernel and attempting to build a 
binary RPM from the kernel source.   
 
At the time of 2.6.15 there were a couple of reports of various slab 
corruption issues -- I haven't had the time to see if this is similar to any 
of them. 
 
P. 
Comment 3 Dave Jones 2006-02-19 15:26:16 EST
let me know if you see it again with the latest builds, as the slab corruptors I
was aware have mostly been fixed (The only remaining ones seem to be driver
specific, like firewire)
Comment 4 John Thacker 2006-05-05 09:01:17 EDT
Closing due to lack of response.

Note You need to log in before you can comment on or make changes to this bug.